<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RSipDialRules StructType
 * @subpackage Structs
 */
class RSipDialRules extends AbstractStructBase
{
    /**
     * The dialPattern
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $dialPattern;
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The patterns
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\Patterns
     */
    public $patterns;
    /**
     * The plars
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\Plars
     */
    public $plars;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RSipDialRules
     * @uses RSipDialRules::setDialPattern()
     * @uses RSipDialRules::setName()
     * @uses RSipDialRules::setDescription()
     * @uses RSipDialRules::setPatterns()
     * @uses RSipDialRules::setPlars()
     * @uses RSipDialRules::setUuid()
     * @param string $dialPattern
     * @param string $name
     * @param string $description
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Patterns $patterns
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Plars $plars
     * @param string $uuid
     */
    public function __construct($dialPattern = null, $name = null, $description = null, \\Losc\CucmBundle\Model\Webservice\StructType\Patterns $patterns = null, \\Losc\CucmBundle\Model\Webservice\StructType\Plars $plars = null, $uuid = null)
    {
        $this
            ->setDialPattern($dialPattern)
            ->setName($name)
            ->setDescription($description)
            ->setPatterns($patterns)
            ->setPlars($plars)
            ->setUuid($uuid);
    }
    /**
     * Get dialPattern value
     * @return string|null
     */
    public function getDialPattern()
    {
        return $this->dialPattern;
    }
    /**
     * Set dialPattern value
     * @param string $dialPattern
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSipDialRules
     */
    public function setDialPattern($dialPattern = null)
    {
        $this->dialPattern = $dialPattern;
        return $this;
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSipDialRules
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSipDialRules
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get patterns value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\Patterns|null
     */
    public function getPatterns()
    {
        return $this->patterns;
    }
    /**
     * Set patterns value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Patterns $patterns
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSipDialRules
     */
    public function setPatterns(\\Losc\CucmBundle\Model\Webservice\StructType\Patterns $patterns = null)
    {
        $this->patterns = $patterns;
        return $this;
    }
    /**
     * Get plars value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\Plars|null
     */
    public function getPlars()
    {
        return $this->plars;
    }
    /**
     * Set plars value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Plars $plars
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSipDialRules
     */
    public function setPlars(\\Losc\CucmBundle\Model\Webservice\StructType\Plars $plars = null)
    {
        $this->plars = $plars;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSipDialRules
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
